CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2009-3001 (1 public exploit)

The llc_ui_getname function in net/llc/af_llc.c in the Linux kernel 2.6.31-rc7 and earlier does not initialize a certain data structure, which allows local users to read the contents of some kernel memory locations by calling getsockname on an AF_LLC socket.
Publish Date : 2009-08-28 Last Update Date : 2018-11-16
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.9
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Obtain Information
CWE ID 200

- Vendor Statements

Not vulnerable. This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 3, 4, 5 or Red Hat Enterprise MRG. Red Hat does not provide support for PF_LLC sockets in the Linux kernels.
Source: Redhat

- Related OVAL Definitions

Title Definition Id Class Family
DSA-1915 linux-2.6 -- privilege escalation/denial of service/sensitive memory leak oval:org.mitre.oval:def:7639 unix
DSA-1915-1 linux-2.6 -- privilege escalation/denial of service/sensitive memory leak oval:org.mitre.oval:def:13588 unix
DSA-1928 linux-2.6.24 -- privilege escalation/denial of service/sensitive memory leak oval:org.mitre.oval:def:7937 unix
DSA-1928-1 linux-2.6.24 -- privilege escalation/denial of service/sensitive memory leak oval:org.mitre.oval:def:13351 unix
DSA-1929-1 linux-2.6 -- privilege escalation/denial of service/sensitive memory leak oval:org.mitre.oval:def:13735 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2009-3001

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 6.06 ~~lts~~~ Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 8.04 ~~lts~~~ Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 8.10 Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 9.04 Version Details Vulnerabilities
5 OS Linux Linux Kernel 2.6.31 RC5 Version Details Vulnerabilities
6 OS Linux Linux Kernel 2.6.31 - Version Details Vulnerabilities
7 OS Linux Linux Kernel 2.6.31 RC6 Version Details Vulnerabilities
8 OS Linux Linux Kernel 2.6.31 RC1 Version Details Vulnerabilities
9 OS Linux Linux Kernel 2.6.31 RC2 Version Details Vulnerabilities
10 OS Linux Linux Kernel 2.6.31 RC3 Version Details Vulnerabilities
11 OS Linux Linux Kernel 2.6.31 RC4 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 4
Linux Linux Kernel 7

- References For CVE-2009-3001

https://exchange.xforce.ibmcloud.com/vulnerabilities/52732
XF linux-kernel-afllcgetsockname-info-disc(52732)
http://jon.oberheide.org/files/llc-getsockname-leak.c
http://www.ubuntu.com/usn/USN-852-1
UBUNTU USN-852-1
http://www.securityfocus.com/bid/36126
BID 36126 Linux Kernel 'net/llc/af_llc.c' Local Information Disclosure Vulnerability Release Date:2009-12-15
http://www.openwall.com/lists/oss-security/2009/08/26/1
MLIST [oss-security] 20090826 CVE request: kernel: AF_LLC getsockname 5-Byte Stack Disclosure
Exploit! http://www.exploit-db.com/exploits/9513
EXPLOIT-DB 9513 Linux Kernel <= 2.6.31-rc7 AF_LLC getsockname 5-Byte Stack Disclosure Author:Jon Oberheide Release Date:2009-08-25 (linux) local
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=28e9fc592cb8c7a43e4d3147b38be6032a0e81bc CONFIRM
https://bugzilla.redhat.com/show_bug.cgi?id=519305 CONFIRM

- Metasploit Modules Related To CVE-2009-3001

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.